NPMTest {PMCMRplus} | R Documentation

## All-Pairs Comparisons for Simply Ordered Mean Ranksums

### Description

Performs Nashimoto and Wright's all-pairs comparison procedure for simply ordered mean ranksums. Their test denoted as NPM test is basically an extension of Nemenyi's procedure for testing increasingly ordered alternatives.

The modified procedure uses the property of a simple order, θ_m' - θ_m ≤ θ_j - θ_i ≤ θ_l' - θ_l \qquad (l ≤ i ≤ m~\mathrm{and}~ m' ≤ j ≤ l'). The null hypothesis H_{ij}: θ_i = θ_j is tested against the alternative A_{ij}: θ_i < θ_j for any 1 ≤ i < j ≤ k.

The p-values are estimated from the studentized range distribution. If the medians are already increasingly ordered, than the NPM-test simplifies to the ordinary Nemenyi test (see `kwAllPairsNemenyiTest`).

### Usage

    NPMTest(x, ...)

    ## Default S3 method:
    NPMTest(x, g, ...)

    ## S3 method for class 'formula'
    NPMTest(formula, data, subset, na.action, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### See Also

`kwAllPairsNemenyiTest`

### Examples

    ## Example from Sachs (1997, p. 402)
    x <- c(106, 114, 116, 127, 145,
           110, 125, 143, 148, 151,
           136, 139, 149, 160, 174)
    g <- gl(3,5)
    levels(g) <- c("A", "B", "C")
    NPMTest(x, g)

[Package PMCMRplus version 1.6.1 Index]